Subject: [os2genau_digest] No. 1190
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 16 Sep 2005 00:02:11 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 15 September 2005
 Number  1190
**************************************************

Subjects for today
 
1  Re:  Linux to OS/2 : Wayne <datablitz at optusnet dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 15 Sep 2005 02:41:17 +0830
From:  Wayne <datablitz at optusnet dot com dot au>
Subject:  Re:  Linux to OS/2

Paul Smedley wrote:
> 
> Hi Ed,
> 
> Ed Durrant wrote:
> > Can one only compile character mode Linux programs for OS/2 ?
> >
> > I'm thinking of the programs such as CDRecord and Sane whose "front end"
> > s are native OS/2 programs which talk to the command line application.
> These are the simplest to compile.  ie even a hacker like me can get
> things to compile reasonably easily (ie http://smedley.info/sane.html &
> http://smedley.info/os2ports.html)
> 
> > What about Linux programs that need to be accessed via a GUI - are these
> > only possible to be run (if at all) in a X-Windows environment on OS/2 ?
> 
> Short answer - it depends.
> 
> There are a few gui toolkits used in linux applications - some of which
> are available on OS/2.  This is however an area we are severely lacking in.
> 
> We do have wxwidgets - but this isn't really all that stable/useful on OS/2.
> 
> http://wiki dot netlabs dot org/index.php/Fundraising_campaign details some
> other toolkits and has links to help fund these toolkits on OS/2.
> 
> Cheers,
> 
> Paul.

One point overlooked by many is that C/C++ & Watcom VX-REXX
can be compiled into 1 .exe.  So 1 person can build a gui in VX
while another builds the meaty bits.  VX can be very powerful
& fully WPS compatable.  The VX development kit is available
but it would be nice to get the original source code.  There are
still a number of us still using VX who be happy to work with
others to get programs out.

At this point of time, I think the OS/2 community needs to unite
& work together.  Is there a mailinglist/newsgroup for development?
Getting access to info can be difficult eg. I eventually worked out
how to drag&drop from a menu but it would have been much easier
if I could read how to do it.

Cheers
Wayne
----------------------------------------------------------------------------------